
2008-04-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* test/*: updated a couple of checks.
	* tools/*: fixed a couple of minor compiler warnings.
	* mibs/ietf/PKTC-IETF-SIG-MIB: added (RFC 5098).
	* mibs/ietf/MIDCOM-MIB: added (RFC 5190).
	* libsmi-0.4.8.tar.gz: released version 0.4.8.

2008-02-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/Makefile.am: added missing files to the distribution.
	* libsmi-0.4.7.tar.gz: released version 0.4.7.

2008-02-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/URI-TC-MIB: added (RFC 5017).
	* mibs/ietf/PIM-STD-MIB: added (RFC 5060).
	* mibs/ietf/IF-CAP-STACK-MIB,EFM-CU-MIB: added (RFC 5066).
	* mibs/ietf/UDPLITE-MIB: added (RFC 5097).
	* mibs/ietf/LANGTAG-TC-MIB: added (RFC 5131).
	* mibs/ietf/IPMCAST-MIB: added (RFC 5132).
	* updated IANA MIBs.
	* libsmi-0.4.6.tar.gz: released version 0.4.6.

2007-09-03  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/T11-FC-RSCN-MIB: added (RFC 4983).

2007-08-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/T11-FC-FABRIC-CONFIG-SERVER-MIB: added (RFC 4935).
	* mibs/ietf/T11-FC-FABRIC-LOCK-MIB,T11-FC-ZONE-SERVER-MIB: added
	  (RFC 4936).
	* mibs/ietf/ISNS-MIB: added (RFC 4939).

2007-07-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DOT3-EPON-MIB: added (RFC 4837).
	* mibs/ietf/DOT3-OAM-MIB: added (RFC 4878).

2007-06-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/TCP-ESTATS-MIB: added (RFC 4898).

2007-05-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/SIP-{UA,TC,COMMON,SERVER}-MIB: added (RFC 4780).
	* mibs/ietf/MAU-MIB: updated (RFC 4836).

2007-03-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DS1-MIB: updated (RFC 4805).
	* mibs/ietf/IPSEC-SPD-MIB: added (RFC 4807).

2007-03-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/iana/IANA-GMPLS-TC-MIB,IANA-IPPM-METRICS-REGISTRY-MIB,
	  IANA-ITU-ALARM-TC-MIB,IANA-MAU-MIB: added.
	* mibs/iana/IANA-CHARSET-MIB,IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  IANAifType-MIB: added.
	* mibs/ietf/GMPLS-TC-STD-MIB (RFC 4801): added.
	* mibs/ietf/GMPLS-TE-STD-MIB (RFC 4802): added.
	* mibs/ietf/GMPLS-LSR-STD-MIB,GMPLS-LABEL-STD-MIB (RFC 4803): added.

2007-02-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/MSDP-MIB: added (RFC 4624).
	* mibs/ietf/PKTC-IETF-MTA-MIB: added (RFC 4682).
	* mibs/ietf/ADSL2-LINE-MIB,ADSL2-LINE-TC-MIB: added (RFC 4706).
	* mibs/ietf/RAQMON-MIB: added (RFC 4711).
	* mibs/ietf/T11-FC-VIRTUAL-FABRIC-MIB: added (RFC 4747).
	* mibs/ietf/DOCS-CABLE-DEVICE-MIB: updated (RFC 4639).
	* mibs/ietf/OSPF-MIB,OSPF-TRAP-MIB: updated (RFC 4750).
	* lib/scanner-smi.l: accept also \r as end-of-line.

2006-10-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/T11-FC-ROUTE-MIB: added (RFC 4625).
	* mibs/ietf/T11-FC-FSPF-MIB: added (RFC 4626).
	* mibs/ietf/LMP-MIB: updated (RFC 4631).
	* mibs/ietf/RADIUS-DYNAUTH-CLIENT-MIB: added (RFC 4672).
	* mibs/ietf/RADIUS-DYNAUTH-SERVER-MIB: added (RFC 4673).

2006-09-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* autogen.sh: Use glibtool instead of libtool on Darwin.
	Thanks to Sebastian.

2006-08-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/RADIUS-AUTH-CLIENT-MIB: updated (RFC 4668).
	* mibs/ietf/RADIUS-AUTH-SERVER-MIB: updated (RFC 4669).
	* mibs/ietf/RADIUS-ACC-CLIENT-MIB: updated (RFC 4670).
	* mibs/ietf/RADIUS-ACC-SERVER-MIB: updated (RFC 4671).

2006-07-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DOCS-IF-MIB: updated (RFC 4546).
	* mibs/ietf/DOCS-IETF-CABLE-DEVICE-NOTIFICATION-MIB: added (RFC 4547).
	* mibs/ietf/DISMAN-NSLOOKUP-MIB,DISMAN-PING-MIB,DISMAN-TRACEROUTE-MIB:
	  updated (RFC 4560).

2006-06-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/ISCSI-MIB: added (RFC 4544).
	* mibs/ietf/IPS-AUTH-MIB: added (RFC 4545).

2006-05-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/SNMP-USM-AES-MIB: updated (RFC 3826).

2006-05-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/BGP4-MIB: updated (RFC 4273).
	* mibs/ietf/IP-FORWARD-MIB: updated (RFC 4292).
	* mibs/ietf/IP-MIB: updated (RFC 4293).
	* mibs/ietf/MOBILEIPV6-MIB: added (RFC 4295).
	* mibs/ietf/RSTP-MIB: added (RFC 4318).
	* mibs/ietf/DOCS-IETF-QOS-MIB: added (RFC 4323).
	* mibs/ietf/LMP-MIB: added (RFC 4327).
	* mibs/ietf/{P-BRIDGE-MIB,Q-BRIDGE-MIB}: updated (RFC 4363).
	* mibs/ietf/{MPLS-LC-ATM-STD-MIB,MPLS-LC-FR-STD-MIB):
	  added (RFC 4368).
	* mibs/ietf/IFCP-MGMT-MIB: added (RFC 4369).
	* mibs/ietf/MPLS-L3VPN-STD-MIB: added (RFC 4382).
	* mibs/ietf/FCIP-MGMT-MIB: added (RFC 4404).
	* mibs/ietf/T11-FC-NAME-SERVER-MIB: added (RFC 4438).
	* mibs/ietf/{T11-TC-MIB,T11-FC-FABRIC-ADDR-MGR-MIB}:
	  added (RFC 4439).
	* mibs/ietf/ISIS-MIB: added (RFC 4444).
	* mibs/ietf/SCSI-MIB: added (RFC 4455).
	* mibs/ietf/{AGGREGATE-MIB,TIME-AGGREGATE-MIB}: added (RFC 4498).
	* mibs/ietf/RMON2-MIB: updated (RFC 4502).

	* libsmi-0.4.5.tar.gz: released version 0.4.5.
	There was a bug that breaks compliation of 0.4.4, so here
	is a new release.

2006-05-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.4.4.tar.gz: released version 0.4.4.
	This is more or less just a snapshot to give package
	maintainers a fresh and handy release number.

2005-12-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/HDSL2-SHDSL-LINE-MIB: updated (RFC 4319).

2005-12-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/{ENTITY-STATE-MIB,ENTITY-STATE-TC-MIB}:
	  added (RFC 4268).

2005-11-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/TE-LINK-STD-MIB: added (RFC 4220).

	* mibs/ietf/VPN-TC-STD-MIB: added (RFC 4265).

2005-10-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DOCS-IETF-BPI2-MIB: added (RFC 4131).

	* mibs/ietf/ENTITY-MIB: updated (RFC 4133).

	* mibs/ietf/BRIDGE-MIB: updated (RFC 4188).

2005-10-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/SSPM-MIB: added (RFC 4149).

2005-06-23  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/TUNNEL-MIB: updated (RFC 4087).

	* mibs/ietf/UDP-MIB: updated (RFC 4113).

2005-05-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/FC-MGMT-MIB: added (RFC 4044).

2005-05-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/VDSL-LINE-EXT-SCM-MIB: added (RFC 4069).

	* mibs/ietf/VDSL-LINE-EXT-MCM-MIB: added (RFC 4070).

2005-05-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DOCS-IETF-SUBMGT-MIB: added (RFC 4036).

2005-04-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/NAT-MIB: added (RFC 4008).

	* mibs/ietf/POLICY-BASED-MANAGEMENT-MIB: added (RFC 4011).

	* mibs/ietf/TCP-MIB: updated (RFC 4022).

2005-03-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/INET-ADDRESS-MIB: updated (RFC 4001).

2005-01-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/TE-MIB: added (RFC 3970).

2004-11-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y, lib/data.c, lib/error.c: improved handling
	of identifiers in the "NameAndNumberForm", incl. improved
	warnings if OIDs or identifiers change. Thanks to Mike, David
	Perkins, and Randy Presuhn for clarifications.
	
2004-11-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y, lib/data.c: fixed handling of "pending"
	nodes when modules are imported right in the middle of another
	module (i.e., in MODULE-COMPLIANCE statements).
	
2004-09-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/ARC-MIB: added (RFC 3878).

	* mibs/ietf/SNMP-NOTIFICATION-MIB: fixed.

	* mibs/ietf/ALARM-MIB: added (RFC 3877).

2004-09-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/{TRIP-MIB,TRIP-TC-MIB,SCTP-MIB,IANA-ITU-ALARM-TC-MIB,
	ITU-ALARM-MIB,ITU-ALARM-TC-MIB,SNMP-NOTIFICATION-MIB,DS1-MIB,
	DS3-MIB}: added/updated (RFCs 3872,3874,3877,3895,3896).

2004-08-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.4.3.tar.gz: released version 0.4.3. Time for a new
	release to get it out with the next stable Debian release (3.1).
	The are numerous bug fixes, improvements to smidump drivers,
	MIB updates, added MIBs, and new smilint checks.

2004-07-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/check.c, lib/error.c: Added checks for object groups
	containing notifications and vice versa. Thanks to Mike.

2004-07-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y, lib/error.c, lib/data.c: Added checks for
	revision clauses that reveal revisions after LAST-UPDATED,
	revisions that are not in reverse chronological order and
	missing revisions for the LAST-UPDATED timestamp. Besides that,
	revisions are now implcitly sorted in reverse chronological
	order.

2004-06-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/{MPLS-TE-STD-MIB,MPLS-LSR-STD-MIB,MPLS-FTN-STD-MIB,
	MPLS-LDP-STD-MIB,MPLS-LDP-ATM-STD-MIB,MPLS-LDP-FRAME-RELAY-STD-MIB,
	MPLS-LDP-GENERIC-STD-MIB}: added (RFCs 3812,3813,3814,3815).

2004-06-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/{Printer-MIB,Finisher-MIB,MPLS-TC-STD-MIB},
	mibs/iana/{IANA-PRINTER-MIB,IANA-FINISHER-MIB,IANA-CHARSET-MIB}:
	updated and added (RFCs 3805,3806,3808,3811).

2004-06-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/{ROHC-MIB,ROHC-RTP-MIB,ROHC-UNCOMPRESSED-MIB}:
	added (RFC 3816).

2004-06-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-netsnmp.c: Cleanup session in case of errors,
	Thanks to Michael Hocke.

2004-04-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DIFFSERV-CONFIG-MIB: added (RFC 3747).

2004-03-03  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/APM-MIB: added (RFC 3729).

2004-02-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/VDSL-LINE-MIB: added (RFC 3728).

2004-02-11  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/HC-PerfHist-TC-MIB: added (RFC 3705).

2004-01-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidiff.c: Fixed potential segfault in
	checkTypeCompatibility(). Thanks to Mike.

2003-12-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/POWER-ETHERNET-MIB: added (RFC 3621).

2003-12-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-python.c, tools/dump-xml.c: Fixed segfaults upon
	unresolvable parent type names.

	* tools/dump-cm.c: Added an explicit float-cast in one place
	to ensure execatly equal values on different platforms so that
	the test suite is happy again.

2003-12-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.4.2.tar.gz: released version 0.4.2. Time for a new
	release upon several requests during recent days and months. :-)
	The are numerous bug fixes, MIB updates, added MIBs, and new
	smilint and smidiff checks.

	* test/dumps/*: Checked and ppdated all test cases so
	that the whole suite should complete without failures
	again.

2003-12-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidiff.c: Fixed error messages on changed base
	types for node comparisons: now the node names are reported
	and not the underlying type names. Thanks to Mike.

	* mibs/*: More robust Makefiles, initially to support the
	cygwin build and installation process. Thanks to Harold.

2003-11-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/ATM2-MIB: added (RFC 3606).

2003-10-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: Fixed a bug with pending (forward, but not
	resolved) definitions of identifiers that appear again in a
	subsequently loaded module. Thanks to Fredrick.
	
	* mibs/ietf/ETHER-WIS: added (RFC 3637).

2003-10-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/EtherLike-MIB: updated (RFC 3635).

	* mibs/ietf/MAU-MIB: updated (RFC 3636).

2003-09-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/IPV6-FLOW-LABEL-MIB: added (RFC 3595).

2003-09-03  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/OPT-IF-MIB: added (RFC 3591).

	* mibs/ietf/SONET-MIB: updated (RFC 3592).

	* mibs/ietf/PerfHist-TC-MIB: updated (RFC 3593).

2003-08-07  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* pibs/ietf/FRAMEWORK-FEEDBACK-PIB: added (RFC 3571).

2003-06-20  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/BLDG-HVAC-MIB: added (RFC 3512) (it's just an
	example MIB).

	* mibs/ietf/MALLOC-MIB: added (RFC 3559).

2003-03-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* pibs/ietf/DIFFSERV-PIB: added (RFC 3317).

	* pibs/ietf/FRAMEWORK-PIB,FRAMEWORK-TC-PIB: added (RFC 3318).

	* mibs/ietf/APS-MIB: added (RFC 3498).

2003-01-03  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/ADSL-LINE-EXT-MIB: added (RFC 3440).

2002-12-26  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/HC-ALARM-MIB: added (RFC 3434).

2002-12-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/ENTITY-SENSOR-MIB: added (RFC 3433).

	* pibs/*: Moved PIBs from mibs/tubs/* to pibs/* and adapted
	Makefiles and configure script accordingly.

2002-12-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/{SNMP-FRAMEWORK-MIB,SNMP-MPD-MIB,SNMP-NOTIFICATION-MIB,
	SNMP-PROXY-MIB,SNMP-TARGET-MIB,SNMP-USER-BASED-SM-MIB,
	SNMP-VIEW-BASED-ACM-MIB,SNMPv2-MIB,SNMPv2-TM}: updated to
	Full Standard (RFCs 3411-3418).

	* mibs/ietf/TRANSPORT-ADDRESS-MIB: added (RFC 3419).

2002-11-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/SFLOW-MIB: added (RFC 3176).

2002-11-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-{smi,sming,smiv3}.c: Fixed list of imports in case
	of imported types only used for inline restricted types. Thanks
	to Linda.
	
2002-11-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.4.1.tar.gz: released version 0.4.1. It's just time
	for a new snapshot release: Since 0.4, there are some bug fixes,
	enhancements especially to the XSD smidump driver and some
	added and updated Standard MIBs.

2002-10-23  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Fixed a missing error checks in case SMIv2
	application types that are not imported. Aligned with similar
	checks for SPPI PIBs. Thanks to Mike.

	* mibs/iana/*: Updated the IANA MIBs as of 2002-10-23.

	* configure.in: Updated AC_DEFINE()'s to contain defaults and
	removed the obsolete acconfig.h file.
	
2002-09-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/L2TP-MIB: added (RFC 3371).

2002-07-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/HC-RMON-MIB: added (RFC 3273).

2002-07-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Fixed a NULL pointer dereference. Thanks to Bill.
	
	* mibs/ietf/DSMON-MIB: added (RFC 3287).

2002-06-21  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/: Updated man pages.
	
	* test/: Updated test suite.
	
	* libsmi-0.4.tar.gz: released version 0.4. There are two major
	improvements in this release: It is the first release that
	supports parsing and dumping of SPPI PIB modules (thanks to
	Moritz for this great piece of good work!). Additionally the
	support of an XML Schema dump format (smidump -f xsd) has
	received a lot of enhancements, which might be of interest to
	some people (thanks to Torsten for his great former and
	ongoing work on all the details of this topic!).

2002-06-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: Fixed illegal reference to already freed type
	structs in smiFreeData(). Thanks to Nick.

	* lib/parser-smi.h: Added a check for mismatching tables'
	SEQUENCE OF types and row types. Thanks to Mike.

2002-06-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>
	
	* mibs/ietf/GSMP-MIB: added (RFC 3295).

2002-06-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>
	
	* lib/smi.c: call smiInit() in smiSetPath() if not yet initialized.
	Thanks to Yogeshwara.

2002-06-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DIFFSERV-MIB,DIFFSERV-DSCP-TC: added (RFC 3289).

2002-05-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: Fixed lost named numbers in case of forward
	referenced TCs and type assignments.

2002-05-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/HDSL2-SHDSL-LINE-MIB: added (RFC 3276).

2002-05-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* win/*: Patches from Erik to ease W32 support.

2002-05-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/INET-ADDRESS-MIB: updated (RFC 3291).

2002-05-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: Fixed nodekind for iso, ccitt, and joint-iso-ccitt.
	Thanks to Mark Kaplun.

	* mibs/ietf/INET-ADDRESS-MIB: updated to the new version
	which is expected to be published as RFC rsn.

	* lib/parser-smi.y: Added check for counter access.

	* lib/check.c: Fixed check for not-accessible auxiliary objects.

	* parser-smi.y,mibs/tubs/*: Moritz Bunkus added a bunch of
	patches so that we can now parser SPPI PIBs. There are also
	a number of PIBs (temporarily in mibs/tubs/, as long as they
	are not published). Thanks to Moritz for this good piece
	of work.

2002-04-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c,...: Added a `parser' argument to the loadModule()
	function so that line numbers can be reported when an imported
	module cannot be loaded. Thanks to Mark Kaplun and Bill Fenner.

2002-03-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/check.c: Fixed a bug in the range normalization code.
	Thanks to Joey Seek <joeyseek@hotmail.com>.

	* lib/error.c: When a severe error occurs (severity <= 0), it is
	now the default error handler that terminates the process by exit().
	This means that an application now has the chance to install its
	own error handler and call any cleanup code even in case of severe
	errors. [Sorry, Dave, that it took sooo long to do this change.]

	* libsmi-0.3.1.tar.gz: released version 0.3.1.

2002-02-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Added checks for appropriate nodekinds
	of each node's parent node.

2002-01-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c: Removed a misplaced `static' keyword from the
	generated code. Thanks to Brian Remick <remick@cs.utah.edu>.

2002-01-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DISMAN-SCHEDULE-MIB: updated (RFC 3231).

2002-01-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Fixed segfault on illegal VARIABLES in
	SMIv1 TRAPs. Thanks to <hanule@3ic.co.kr>. Sorry, I cannot determine
	your name in ISO-8859-1. ;-)

	* smi/util.c: Fixed type derivation checks used for TDomain/TAddress
	and InetAddressType/InetAddress checks.

	* tools/dump-xml.c: Added switches to turn DOCTYPE and XML Schema
	specs off.

2002-01-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/CIRCUIT-IF-MIB: added (RFC 3201).

	* mibs/ietf/FRSLD-MIB: added (RFC 3202).

	* tools/smidiff.c: Fixed warning messages on group membership
	changes. Thanks to Bill.
	
2001-12-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-perl.c: Martin Schulz submitted a patch to fix
	the representation of notifications.
	
2001-12-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Added check for incompatible types in SEQUENCE
	item and object type definition. Thanks to Vivekanandan.V
	<vivekav@future.futsoft.com>.

2001-11-23  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.3.tar.gz: released version 0.3.

	* ANNOUNCE: Finalized things for release 0.3.

	* tools/smidiff.c: Torsten Klie <tklie@ibr.cs.tu-bs.de> and
	Juergen Schoenwaelder <schoenw@ibr.cs.tu-bs.de> have spent a
	lot of work on this new tool during the past three months.

2001-10-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Chris Avis <chris@snmptech.com> supplied a
	patch to detect zero value enumeration numbers in SMIv1, which
	is illegal.

2001-09-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Fixed warning on numerical OID DEFVALs.

2001-08-31  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: Fixed some missing fclose() calls. Thanks to
	Abhay Deshmukh.

2001-08-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DISMAN-SCRIPT-MIB: updated (RFC 3165).

2001-08-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DOCS-BPI-MIB: added (RFC 3083).

	* mibs/ietf/INTERFACETOPN-MIB: added (RFC 3144).

2001-08-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* win/makefile: Added a fix from Yigal.

	* lib/smi.c,data.c: #ifdef'ed caching, so that MSC systems
	don't have problems.

2001-08-24  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.17.tar.gz: released version 0.2.17.

	* lib/smi.c: Fixed a bug with `-f/dev/null'.

2001-08-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c,smi.c,...: Added support for multiple MIB data sets.

	* lib/check.c: Updated the InetAddressType/InetAddress check.

2001-08-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* Makefile.in,...: Kicked out files from the CVS repository
	that don't belong there and added an autogen.sh script.

	* lib/parser-smi.y,data.c: Fixed more memory leaks.

2001-08-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* doc/draft-irtf-nmrg-smi-xml-00.txt,smi.dtd: Added these
	files to document the xml output driver. Note that this
	Internet Draft has expired.
	
	* lib/parser-smi.y,data.c: Added Bill's dmalloc patch and
	trimmed down the number of non-freed chunks significantly.

2001-06-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Added some checks for zero-length
	descriptions, references, organizations, contacts, formats
	and units strings.

2001-06-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Added special treatment of RFC1065-SMI.

	* lib/parser-smi.y: Added optional OID between modulename and
	`DEFINITIONS' (which is legal in ASN.1).

2001-06-11  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c: Fixed a bug in the generated code for
	notifications that have multiple OBJECTS; reported by
	Teemu Koponen.
	
	* tools/smicache.in,lib/smi.c: Added a MIB caching scheme: 
	The configuration file may contain the new `cache' statement
	which, in combination with an external caching program like
	smicache, can be used to fetch MIB modules that are not found
	in one of the local directories from any (remote?) resources.
	Note that this is *experimental*!
	
2001-06-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y,check.c: Bill contributed another table check
	and improved two other checks.

	* lib/parser-smi.y: fixed a bug in checkObjects() reported by
	Dave Shield.

2001-05-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-python.c: Keith submitted a patch that turns
	(unordered) index element sets into (ordered) lists. However,
	it might cause other problems.
	
2001-05-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/Makefile.am: renamed parser-*.tab.c to parser-*.c. Harrie
	Hazewinkel reported problems with libtool some systems would
	have otherwise.

2001-04-24  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* config.sub, config.guess: Updated to recent versions from GNU CVS
	to get it working on PARISC. Thanks to LaMont Jones
	<lamont@smallone.fc.hp.com>.

2001-04-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-xml.c: Fixed DOCTYPE root identifier to contain
	no namespace prefix. Thanks to Andreas Goll.

2001-04-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.16.tar.gz: released version 0.2.16.

	* tools/smilint.c, smiquery.c: fixed obsolete use of the
	optind variable.

	* libsmi-0.2.15.tar.gz: released version 0.2.15.

	* tools/dump-stools.c: Update for stools >= 0.1.16.

2001-04-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Fixed RFC1155-SMI::Counter, Gauge, and
	TimeTicks ranges.

2001-03-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c: Fixed a bug on non not-accessible INDEX
	columns, reported by Joerg Mattes <joerg.mattes@nch.it>.

2001-03-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/check.c: Bill contributed more checks on group/compliance
	statements.

	* lib/check.c: Fixed core dump with recent type checks. Thanks
	to Bill.

2001-03-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.14.tar.gz: released version 0.2.14.

	* lib/check.c: Added more type usage checks.

2001-03-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Added some defval and type usage checks.

2001-03-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Added checks to compare SEQUENCEs against
	columnar objects.

2001-02-26  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/check.c: Lowered severity of recent compliant status checks.

	* lib/parser-smi.y: Bill contributed check for imported Counter64
	when used.

	* lib/check.c: Bill contributed check for node >= group >= compliance
	status constraints.

2001-02-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/scanner-smi.l: Martin Schulz noticed a problem with
	the use of the isspace() macro on Solaris. Thanks.

2001-02-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/PINT-MIB: added (RFC 3055).

2001-02-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/IPV6-MLD-MIB: added (RFC 3019).

2001-01-26  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Martin Schulz fixed setting of UNITS
	of OBJECT-TYPEs. Thanks!

2001-01-24  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.13.tar.gz: released version 0.2.13.

	* tools/dump-netsnmp.c: Juergen added support for manager stub
	code.

2001-01-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c: Null pointer fixes from Juergen.

	* tools/dump-perl.c: Martin Schulz <schulz@videotron.ca> contributed
	a perl driver, based on the python driver. It maps each and every
	piece of information to a string, even dates and and numerical
	values. However, maybe it is useful to some people.

2000-12-21  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Some well-known SMI identifiers imported
	from RFC* modules are now suggested to be imported from SMIv2
	modules, where appropriate. This modifies an earlier patch
	from Bill.

2000-12-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-identifers.c: Juergen made dump-lines.c obsolete
	by adding two options to the `identifiers' format.

2000-12-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Bill contributed a `lines' dump format to
	print line numbers of definitions. He contributed also a patch
	that allows the `identifiers' format to report identifiers with
	OID definitions that could not be resolved (as in {mib-2 xxx}).

	* lib/parser-smi.h: Bill added special handling for unintentionally
	terminated comments and hints on definitions that could be imported
	from more recent modules.

2000-12-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/dump-*.c: More patches from Juergen. Most drivers are
	now `-o file' aware. The `imports' driver does no longer hang
	in an endless loop on recursive imports.

2000-12-11  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-*.h: yyerror-verbose is now non-optional.

	* tools/dump-*.c: Juergen fixed various dump drivers. `cm' is
	now a single format with an `explain' option. Man pages are
	updated to include long options.

2000-12-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-*.c: Fixes from Juergen.

2000-12-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/NOTIFICATION-LOG-MIB: added (RFC 3014).

	* mibs/ietf/FR-MFR-MIB: added (RFC 3020).

2000-12-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.12.tar.gz: released version 0.2.12.

	* configure.in: Bill added --with-yyerror-verbose option.

	* lib/parser-smi.y: Patch from Bill: Reset capabilitiesModulePtr
	at the end of each module. Fixed typo in unsigned32. Fixed
	flawed data structures for Opaque as well. Removed a bunch of
	unnecessary setTypeParent() and setTypeDecl() calls.

2000-12-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Fixed `GAUGE32 integerSubType' rule.

	* lib/parser-smi.y: Fixed flawed data structures in case of
	illegal range sub-typing of enum types and enum sub-typing of
	range restricted integer types. Thanks to Bill for the hints.

2000-11-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Juergen fixed some bugs and added some
	modifications changes to the recent smidump changes.

2000-11-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* win/config.h.in: Added to the distribution files.

	* libsmi-0.2.11.tar.gz: released version 0.2.11.

	* tools/dump-*.c: Now all smidump driver modules register their
	format drivers with smidump with an init_<format>() function.
	Additionally, we allow a driver to register format specific
	options. See dump-identifiers.c for a first small example.

	* tools/shhopt.[ch]: Added support for long options. Thanks
	to Sverre H. Huseby for his small and beatiful shhopt library.
	See http://shh.thathost.com/pub-unix/.
	
2000-11-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-*.c: Fixed some minor compiler warnings.

	* ltconfig: Updated to libtool 1.3.5.

	* win/GNUmakefile: Added this GNU makefile using the MSVC compiler
	contributed by Yigal Hochberg.

	* lib/check.c: Bill Fenner fixed wrong line numbers reported
	on TCs.

2000-11-24  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.10.tar.gz: released version 0.2.10.

	* configure.in: Fixed broken 64 bit type configuration.

2000-11-20  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* changed filenames of file created by the corba and netsnmp
	dump drivers. Adapted test suite.

	* libsmi-0.2.9.tar.gz: released version 0.2.9.

2000-11-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* smi.conf-example: Added a configuration file example.

	* configure.in: Dir separator is now configurable and distinguished
	in util/smiIsPath().

	* win/*: Some changes for clean MSVC compilation. Yigal.

2000-11-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* win/config.h: Added macros for 64 bit types on MSVC systems.
	Added a necessary compiler flag to compile scanner-*.c on MSVC.
	Thanks to Yigal.

	* configure.in: Fixed: completely broken AC_TRY_RUN check for
	64 bit types. Somehow, I did it in a way that was syntactically
	correct. ;-)

	* acconfig.h: renamed MIN/MAX macros to suppress redefinitions
	on Solaris 2.6+.

2000-11-13  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.8.tar.gz: released version 0.2.8.

	* test/Makefile.am: Added tests for formats: identifiers,
	metrics, xml, cm, python.
	
	* tools/dump-jax.c: Fixed dangling pointers. Test suite
	is happy again.

	* tools/dump-corba.c: The driver now creates idl and oid files
	instead of writing to stdout.
	
	* test/*: Reorganized the test suite. All scripts for
	smidump scripts are now identical. Added jax test (and found
	a bug that is not yet fixed).

2000-11-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-netsnmp.c: Renamed dump-ucdsnmp.c to dump-netsnmp.c.

	* test/Makefile.am: Commented out checks for the obsolete
	corba-{idl,oid} checks to make the test suite happy.

	* configure.in: The availability of `long long' type is now
	checked during configuration. The result now also affects printf
	formats.

	* configure.in: Path separator is now configurable (useful to
	use ":" instead of ";" as well in cygwin environments).

2000-11-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Juergen did a major rework of the internal
	smidump interface for the output drivers. Visible changes:
	corba-idl and corba-oid are integrated into a single format
	corba; -o option.

2000-11-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/iana/*: Updated IANA maintained modules.

	* lib/parser-smi.y: Suppressed an module conformance error
	message in case of SMIv1.

2000-11-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/check.c,parser-smi.y: Bill Fenner fixed some duplicated
	error messages.

	* tools/dump-smi.c,dump-tree.c: Bill Fenner fixed some core
	dumps on erroneous MIB modules.

	* tools/dump-ucdsnmp.c: Juergen changed the UCD-SNMP driver
	so that it now creates three file (header, stubs & implementation)
	with a single smidump format option (netsnmp).

	* lib/parser-smi.y: Added checks for illegal subtyping; adjusted
	test suite, so that is runs successfully for all current tests.

	* lib/scanner-smi.l,scanner-sming.l: Bill Fenner contributed
	a patch to continue scanning after unexpected characters have
	been read.

2000-11-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.7.tar.gz: released version 0.2.7.

	* lib/parser-smi.y: Fixed `0' ranges for some core types on Solaris.

	* lib/smi_config.3.in: Updated the library man pages.

	* tools/smidump.c: addModule() now inserts NULL module at the
	head of the list as expected by the dump drivers.

	* lib/check.c: Added checks for OID redifinitions and recursive
	definitions, based on a contribution from Bill Fenner.

	* lib/smi.h.in: Added a SmiModule.conformance attribute that
	allows applications to determine, `how syntactically correct'
	a module is.

2000-11-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DISMAN-EVENT-MIB: added (RFC 2981).

	* mibs/ietf/DISMAN-EXPRESSION-MIB: added (RFC 2982). It needed
	a small fix.

2000-11-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c: Reworked the smiPath initialization upon a hint
	from Bill Fenner. Note that the order of evaluation of the SMIPATH
	environment variable and configuration files has changed and that
	the syntax of `path' commands in configuration files has changed.
	See smi_config(3), section MODULE LOCATIONS for details.

2000-10-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/check.c: Juergen fixed index checks for Bits/fixed-length
	octet strings.

2000-10-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Removed again `-X' option to eliminate parser
	options that might lead to different results.

2000-10-21  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/error.c: Added a fourth arg to the error handler representing
	the error name. This has been wished and contributed by Bill Fenner.
	Note that this changed the API slightly.

2000-10-20  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/check.c: Fixed index length checks for OCTET STRINGs,
	IpAddresses and OBJECT-IDENTIFIERs. Thanks to Bill Fenner.

	* lib/error.c: Fixed two minor typos. Thanks to Bill.

2000-10-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-python.c: a new dump format to generate Python MIB
	dictionary code. Contributed by Pat Knight.

	* tools/dump-xml.c: Fixed missing end tag of rows and tables
	in certain cases. Contributed by Pat Knight.

	* tools/smidump.c: Added option `-X' for `lax' parsing. Some
	people wish to accept things like underscores or upper case
	first letters in object type names. Note that it is usually
	a *bad* idea to use lax parsing!

2000-10-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/FRNETSERV-MIB: updated (RFC 2954).

	* mibs/ietf/FR-ATM-PVC-SERVICE-IWF-MIB: added (RFC 2955).

2000-10-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-ucdsnmp.c: Juergen fixed BITS handling.

2000-10-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/RTP-MIB: added (RFC 2959).

	* mibs/ietf/COPS-CLIENT-MIB: added (RFC 2940).

2000-10-07  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/IPMROUTE-STD-MIB: added (RFC 2932).

	* mibs/ietf/IGMP-STD-MIB: added (RFC 2933).

	* mibs/ietf/PIM-MIB: added (RFC 2934).

2000-10-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/DISMAN-NSLOOKUP-MIB,DISMAN-PING-MIB,DISMAN-TRACEROUTE-MIB:
	added (RFC 2925).

2000-10-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/scanner-smi.l: Fixed lex'ing of comments. Thanks to
	Bill Fenner.

2000-10-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: Changed all function header to ANSI style.

	* configure.in: changed compiler flags in case of Sun WorkShop
	compiler. Thanks to Bert Helthuis.

	* mibs/ietf/RDBMS-MIB: Fixed an unknown imported identifier.
	Thanks to Pat Knight.

2000-10-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/PTOPO-MIB: added (RFC 2922).

2000-09-26  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/iana/IANA-RTPROTO-MIB: added IANA maintained MIB module.

2000-08-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/UPS-MIB: fixed two illegal integer range restrictions.

2000-08-24  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-identifiers.c: update from Juergen.

2000-08-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-identifiers.c: added simple list of all identifiers.

	* tools/dump-cm.c: minor changes by Andreas.

2000-07-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.5.tar.gz: released version 0.2.5.

	* configure.in (LIBTOOL_VERSION): added checks for additional
	Sun compiler flag (others may follow) to make the flex generated
	scanner happy about prototypes.

	* lib/smi.h.in: many compilers are unhappy with empty structures
	(not only MS VC++).

	* lib/scanner-smi.h: moved YY_DECLs from scanner-*.h to scanner-*.l.
	
2000-07-11  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* win/Makefile.mingw: Updated to reflect check.c and dump-metrics.c.

2000-07-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c: simplified output by moving some code to
	the static parent class of the JAX package. Some code cleanups.

2000-07-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed line numbers of object, type, and
	macro definitions to be the first line of the defining SMI
	statement.

	* lib/check.c: Bill Fenner contributed a patch that fixes
	the location of complained identifiers if they are imported.

2000-06-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.4.tar.gz: released version 0.2.4.

	* lib/smi.h.in: added more library version information.

	* tools/dump-jax.c (dumpEntry): added entry get methods for
	index elements. Thanks to Sven.

	* mibs/ietf/IF-MIB: updated (RFC 2863).

	* mibs/ietf/IF-INVERTED-STACK-MIB: added (RFC 2864).

2000-06-21  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/HCNUM-TC: added (RFC 2856).

	* tools/dump-xmp.c: Juergen updated the XML dump format.

	* lib/scanner-smi.l: Fixed scanning of module files ending
	without a newline.

	* win/: Juergen changed some win things.

2000-06-20  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/RFC-1212: fixed recursive import.

	* lib/check.c: Juergen added various checks for INDEX clauses.

	* lib/check.c: added various checks for range and size restrictions.

2000-06-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c (smiReadConfig): Fixed path separator when path
	values from the configuration file get concatenated.

	* mibs/ietf/: Fixed some imports.

	* win/makefile.vc: Minor fixes. Thanks to Yigal Hochberg.

2000-06-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.3.tar.gz: released version 0.2.3.

	* Makefile.am: added the win/ directory to the distribution.

2000-06-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.2.tar.gz: released version 0.2.2.

	* Juergen sent a huge patch: moved parser checks to a separate
        C file, aligned error messages, aligned identifier prefixes,
        aligned MIB test suite.

	* mibs/ietf/INET-ADDRESS-MIB: added (RFC 2851).

2000-06-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c: added a missing .0 instance indentifier
	for scalar objects.

	* lib/error.c: Juergen added some code for error lists and
	error handlers.
	
2000-06-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: Juergen refined the conditional expensive checks
	for identifier redefinitions.

	* lib/util.c: introduced a unique identifer prefix for util
	functions.

	* tools/dump-jax.c: fixed some compiler warnings.

	* lib/parser-smi.y: fixed some compiler warnings.
	
	* lib/parser-smi.y: adjusted lines of definition in cases of
	forward references.

	* lib/data.c (freeData): fixed a misplaced free() that caused
	endless loops.

	* mibs/ietf/: removed RFC-1213 and fixed some modules to
	import RFC1213-MIB instead of RFC-1213.

2000-06-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* configure.in: added dmalloc option.

	* lib/util.c (timegm): fixed access to freed memory. Thanks
	to Bill Fenner.

2000-06-07  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smistrip.in: patch to strip modules from I-Ds.

	* lib/parser-smi.y: added checks for range restrictions applied
	to enumeration types.

	* test/: adjusted LIBSMI-TEST-* mibs and dumps/ files to
	satisfy the test suite.
	
	* lib/parser-smi.y: fixed crashes in case of lowercase identifier
	DEFVALs for objects that are neither enums nor oids. Thanks to
	Bill Fenner.

	* lib/parser-smi.y (checkObjects): fixed crashes in case of
	unknown oids.

	* lib/smi.c (smiGetNextNode): fixed segfault caused by missing
	modules.

	* tools/dump-jax.c (dumpScalars): fixed setScalar OID check.
	Thanks to Bill Rizzi.

2000-06-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/: minor patches from Juergen.

	* tools/dump-types.c: dumping also implicit types.

	* mibs/ietf/ and mibs/iana: various MIB module updates.

	* mibs/ietf/RMON-MIB: updated RMON-MIB (RFC 2819).

2000-06-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y (checkObjects): fixed endless loop, as
	occuring in original Modem-MIB for mdmMIB (RFC 1696).

	* mibs/ietf/: added FIBRE-CHANNEL-FE-MIB.

2000-05-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Juergen added code for checks of inherited
	types.

2000-05-26  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-cm.c: changed dump driver calling conventions
	from Juergen. dump-cm patch from Andreas.

2000-05-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.2.1.tar.gz: released version 0.2.1.

2000-05-20  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-metrics.c: New output format supplied by Juergen.
	It prints metrics of MIB modules.

2000-05-18  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-smi.c (printNotifications): fixed determination of
	the ENTERPRISE object. Thanks to Ira Wolf.

	* tools/dump-smi.c (getOidString): fixed printing of OIDs with
	a length of 2. Thanks to Ira Wolf.

	* test/Makefile.am: removed GNU specific diff options
	from check scripts.

2000-05-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c (setObjectName): fixed crashes on unresolved
	labels. Thanks to Bill Fenner.

	* win/: applied patches from Erik.

2000-05-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c (loadModule): added checks for missing imported
	modules.

	* configure.in: fixed mibdir default. Thanks to Saurabh.

	* lib/data.c (setObjectName): fixed bug in case of multiple
	definitions for the same OID in multiple modules.

	* tools/dump-jax.c: Patch from Juergen: made file creation more
	generic.

2000-05-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c (dumpEntry): changed *EntryImpl classes to
	use the super() method.

2000-05-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Patch from Juergen: flags can now be passed
	to the dump modules.

2000-04-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed seg-faults on various imported but
	not found definitions. Based on a patch contributed by
	Bill Fenner.

2000-04-11  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-smi.c: fixed trailing comma in SMIv1 SEQUENCEs.
	Reported by Ira Wolf.

	* tools/smistrip.in: fixed bug reported by Ira Wolf: now we do not
	terminate a module when we've read the `END' of a macro definition.

	* win/: added VC++ build directory; Erik and Juergen.

	* tools/dump-{java,jdmk,dia}: removed obsolete experimental formats.

2000-04-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-smi.c: fixed 'xxxx'H DEFVALs as suggested by Ira Wolf.

	* tools/dump-cm.c: Update from Andreas.

	* Erik contributed various patches to compile libsmi in Win32
	systems using the VC++ compiler. Juergen aligned some of them.
	Some are still left to be done.

2000-04-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-cm.c: added conception model (cm) dump format from
	Andreas Mueller.

	* tools/dump-xml.c: various cleanups from Juergen.

2000-04-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-smi.c: applied some patches from Ira Wolf.

2000-03-20  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* Keith Dart <kdart@leviathan.kdart.com> has contributed a Python
	binding. See the mailinglist archive.

2000-03-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/: removed some obsolete header files.

	* tools/: some cleanups from Juergen.

	* tools/dump-jax.c (dumpScalars): added Sven's patches for
	notifications and scalar groups.

2000-03-21  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/*.c: added dump-xml from Juergen. replaced bcmp by memcmp.
	fixed multiple printing of groups in dump-sming.c.

	* mibs/ietf/: added HOST-RESOURCES-MIB and HOST-RESOURCES-TYPES.

	* lib/data.h: changed //-comment to /* comment */.

	* tools/dump-sming.c: modified quoted string indentation from
	absoulte to relative.

2000-03-20  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/: added SNMP-COMMUNITY-MIB.

2000-03-19  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/: added SLAPM-MIB and SNMP-USM-DH-OBJECTS-MIB.

2000-03-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-jax.c: A new dump format (it writes separate files
	instead to stdout) has been started for Java AgentX sub-agent code.

	* David Reeder <dreeder@tislabs.com> contributed a C++ interface.
	See the mailinglist archive.

2000-02-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c: Remember the longest common OID prefix of all nodes
	defined in a module. This is used by smiGetFirstNode() and
	smiGetNextNode() to limit the searched subtree.

	* lib/smi.h.in: Dropped SmiValueformat. The way a value is
	specified in a module file is no longer visible at the API.

2000-02-24  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed basetype in default value SmiValue
	structs.

	* tools/dump-smi.c (getValueString): fixed printing of zero-length
	binary and hexadecimal strings in several dump modules. fixed
	braces in BITS default values.

	* lib/parser-smi.y (checkDefvals): OID DEFVALs are now
	represented as a string of the form ``Module::name'' with
	SmiValueformat == SMI_VALUEFORMAT_NAME.

	* lib/scanner-smi.l: Juergen applied some *enormous* scanner
	speedup patches.

	* lib/smi.h.in: A new flag SMI_FLAG_NODESCR can be used to
	suppress storage of descriptions and references in memory.

2000-02-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* ANNOUNCE: Finalized things for release 0.2. Many bugs
	have been fixed and things have changed against the latest
	0.1.x release. Only some of them are listed below.

2000-02-12  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Rudimentary AGENT-CAPABILITIES support.
	They can be parsed to nodes and dumped as nodes or object
	identities in SMIv1/v2/ng. Other attributes than status,
	description and references are not yet supported.
	
	* lib/parser-smi.y: Solved all shift/reduce and reduce/reduce
	conflicts of the SMIv1/v2 grammar.
	
2000-02-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c: Types of tables (SEQUENCE) and rows (SEQUENCE OF)
	are now hidden from the API.

	* tools/smiquery.c: implicitly defined types are no longer
	exported with visible names. So `smiquery type ...' now must
	detect node names to retrieve their implicit types.

	* mibs/ietf/SNMPv2-USEC-MIB: added module (RFC 1910).
	
	* lib/smi.c: fixed smiGetXXX() functions to find items even
	if no module is specified.

	* lib/smi.h.in: added path to struct SmiModule.
	
	* ATTENTION: all the (internal and API) data structures are
	changed for significantly improved performance. This means that
	applications must be adapted to recompile, but it's worth!

	* configure.in: incremented libtool versioning major number.
	
2000-02-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smilint.c: added `-c configfile' option to the three
	tools. It allows to explicitly specifiy a configuration file.
	If at least one configfile is specified no default files are
	read.

	* mibs/tubs/TUBS-SMI: some changes to the TUBS-* MIBS from Juergen.
	
	* configure.in: fixed misused $prefix
	
	* tools/dump-corba.c: fixed module names of augmented entries.

	* tools/dump-tree.c: nodes that are not defined in the local
	module are gone. augmentation entries now list the index
	elements.

	* tools/dump-smi.c: fixed SMIv1 INDEX clauses where an SMIv2
	AUGMENTS clause was parsed.

2000-02-07  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-mosy.c: fixed determination of types of %tc's and 
	objects; added special type `ObjectID'. Added distinction of
	read-write/read-create. Checked output against mosy output for
	some standard modules (IF-MIB, RMON2-MIB, ...).

2000-02-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-sming.y: added parsing of SMIng extension statement.
	Its contents are stored in new elements of struct SmiMacro.

	* lib/parser-smi.y: made the mktime() call for parsed date
	information timezone idependent.

2000-02-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.h: removed lastupdated from SmiModule. This information has
	to be retrieved from the associated SmiRevisions, if present.

	* ATTENTION: first steps towards a reorganisation of internal
        data structures. This also leads to major changes in the API.

2000-02-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Juergen added checks for illegally imported
	SMI types and ASN.1 type definitions instead of TCs in SMIv2.

2000-01-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Juergen added special handling for the
	NetworkAddress SMIv1 type.

	* tools/smiquery.c: Juergen fixed crash on unknown node and
	introduces SMIng notation for fully quallified identifiers.

2000-01-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Andrew Hood pointed out wrong typed constants.

	* test/Makefile.am: Andrew supplied a patch so that make check
	works even before make install.

2000-01-26  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/AGENTX-MIB: MIB module added.

2000-01-13  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/scanner-smi.l: Bert Helthuis pointed out an incorrect warning
	when SNMPv2-SMI is parsed. Fixed.

	* Juergen Schoenwaelder applied a lot of memory leak fixes, error
	detections and cleanups.
	
2000-01-07  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/ietf/MIP-MIB: Bert Helthuis gave a hint on a slight bug
	in MIP-MIB. Fixed.

2000-01-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: Added TRAP-TYPE handling. Changed
	ExtUTCTime handling.

2000-01-03  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: added revision by LAST-UPDATED clause for
	modules without any REVISION clause.

	* Juergen contributed another patch: SMIv1/SMIv2 scanner/parser
	now get numbers as numbers and not as strings. Fixed a Y2K bug in
	parser-smi.y. Make sure we use util_malloc() and friends
	everywhere. Added a length check for identifiers in SMIng. Rewrote
	the length checking code for SMIv1/SMIv2 to make it shorter.
	Removed malloc error checks that will never happen.

1999-12-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* Juergen contributed a lot of patches: some error cleanups,
	some scanner/parser cleanups, automatic SMI language recognition,
	and some more.

1999-12-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* added two IETF MIB modules.

	* fixed a recent bug on MODULE-COMPLIANCE statement parsing.

1999-12-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.1.8.tar.gz: released version 0.1.8.

	* replaced updated SMIng I-D. updated README. minor cleanups.

	* tools/*.1.in: updated option lists in man pages.
	
	* lib/smi.c (smiReadConfig): changed config file syntax.

	* lib/error.c: moved fatal errors to level -1 and non-error
	output (statistics) to level 0.

	* lib/data.c (loadModule): fixed lex recursion level of
	statistics output.

	* mibs/ietf/RFC1158-MIB (IpNetToMediaEntry): fixed typos in
	original MIB.

1999-12-13  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed wrong complaints about imported but
	unused identifiers in MODULE sections of MODULE-COMPLIANCE
	statements.

	* lib/error.c (errorSeverity): error severities can now be
	changed, e.g. by smilint `-i error-name-prefix options or config
	file `hide error-name-prefix commands, the severity of all errors
	with names prefixed by the pattern is raised to 9. this means
	they only show up at error level 9. Note, that not yet all errors
	have names, since it's not easy to find explanatory names with
	grouping prefixes.

	* lib/smi.c: new config file commands: `path' prepends an element
	to the module search path. `level' sets the error level.
	
	* lib/parser-smi.y: Opaque size restrictions are now allowed.
	Warning about Opaque usage in SMIv2 modules.

1999-12-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c (smiReadConfig): a global and a user configuration
	file are now read, if existent: /usr/local/etc/smi.conf and
	~/.smirc. The first and only directive `load <module>' may be
	used to preload any MIB modules. This feature still needs some
	enhancements, like per application directives.

1999-11-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Again, Juergen Schoenwaelder contributed
	a huge chunk of patches that improve dump formats. The CORBA
	IDL output is updated and an smidump option to suppress comments
	(-s) has been added.

1999-10-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smistrip.in (VERSION): smistrip (plus man page) has
	been added to the libsmi distribution. It allows to extract
	modules from text documents like RFCs and I-Ds.

1999-10-07  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.1.7.tar.gz: released version 0.1.7.

	* lib/error.c: added check for illegal type restrictions
	in SEQUENCEs.

1999-10-06  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/Makefile.am: the MIB module files have been reorganized in
	subdirectories and updated to the latest RFCs and IANA modules.

1999-10-05  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* test/Makefile.am: restructured tests slightly.
	
	* mibs/Makefile.am: added a huge amount of (nearly all current?)
	Standard MIBS and some more. They still have to be checked
	for completeness and `libsmi robustness'.

1999-10-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed problems with OID DEFVALS in SMIv1
	modules. now {0 0} works.

	* lib/smi.c (smiGetParentNode): fixed a bug where the wrong
	node has been returned for implicitly defined nodes as used
	in notification types.

	* lib/smi.c (smiGetNextNode): fixed a similar bug here that
	caused loops.

	* lib/parser-smi.y: added check for multiple groups or
	object refinements for the same object in a single
	compliance statement. this caused loops before.

	* tools/smidump.c: applied another patch by Juergen Schoenwaelder
	that beautifies various dump formats and introduces a regression
	test system.
	
1999-10-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed range of Counter64.

	* tools/dump-types.c: applied a patch by Juergen Schoenwaelder
	that beautifies the dump formats for imports and types.

1999-09-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed some more decl settings.

	* tools/smidump.c: applied a huge patch by Juergen Schoenwaelder
	that reorganizes the smidump format modules and adds a (not
	yet compiled) new format for xfig figures.

1999-09-29  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.h: new struct Value. Now all smi.h structs are
	separated from the data.h structs. This was needed to handle
	OID DEFVALs correctly.
	
	* tools/smiquery.c (main): added default values und beatified
	some other output.

	* lib/smi.h: SMI_DECL_IMPLICIT_TYPE denotes implicitly defined
	types. Fixed some other decl settings for types in the SMIv1/v2
	parser.

	* tools/dump-data.c: Applied a patch from Juergen Schoenwaelder
	that fixes some types for the tree dump format.
	
1999-09-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* configure.in: added checks for 64bit strtoX() functions to
	work on FreeBSD systems.

1999-09-24  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-smi.c: fixed some generated import for SMIv1
	modules. also fixed some typename conversions for SMIv2
	modules generated from SMIv1.

	* lib/smi.c: fixed a conceptual bug that led to loops when a
	single node appears multiple times in a list like in OBJECTS
	of a NOTIFICATION-TYPE. This is similar to the earlier bug with
	multiple items in an index clause. Hence, the struct SmiIndex
	has been renamed to SmiListItem is used for different kinds
	of lists. This also made some API functions obsolete that have
	been removed: smiGetFirst/NextMemberNode,
	smiGetFirst/NextObjectNode, smiGetFirst/NextMandatoryNode.
	The bug has been reported by Ira Wolf on comp.protocols.snmp.

1999-09-23  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c (mergeNodeTrees): fixed a nasty ptr bug reported
	by Jochen Friedrich some weeks ago.

	* lib/parser-sming.y: a checkFormat() call contained a wrong
	argument, leading to claimed format data that are correct.

	* lib/parser-smi.y: David Reeder pointed out a slight bug where
	an error message contained a wrong argument.

	* tools/dump-mosy.c: Juergen Schoenwaelder contributed further
	patches to various dump modules and some checks in SMI and SMIng
	parsers.
	
	* tools/dump-ucdsnmp.c: Juergen Schoenwaelder contributed this
	new dump module that generates UCD-SNMP mib2c like output.
	
1999-07-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* mibs/: extracted updated MIB modules from RFCs.

	* lib/data.c: findObjectByNode() now first looks for objects in
	the current view.

1999-07-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Juergen Schoenwaelder contributed further
	smidump cleanup and formats: CORBA IDL files can be written
	according to the JIDM specifications (formats corba-idl and
	corba-oid) and nice trees of MIB nodes can be drawn with the
	tree format.

1999-06-30  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/error.c: added minor checks

	* lib/smi.h: removed SEQUENCE and SEQUENCEOF basetypes.
	Removed WRITE_ONLY and READ_CREATE access values.

1999-06-23  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.1.6.tar.gz: released version 0.1.6.

1999-06-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/smidump.c: Juergen Schoenwaelder contributed another
	smidump patch: now smidump supports SMIv1 output format.

1999-06-21  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/data.c: fixed a bug with merging two subtrees of nodes
	defined in two separate MIB files (reported by Jochen Friedrich).

1999-06-17  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed incorrect base types of SNMPv2-SMI
	application types.

1999-06-16  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.1.5.tar.gz: released version 0.1.5.

	* tools/dump-java.c: started a new dump format that represents
	java classes for MIB tables. This is experimental and may be
	removed from smidump in future revisions.

	* lib/data.c: more changes to internal data structure to make
	them language independant, especially hiding all occurances
	of the SMIng namespace operator `::'.

	* data.c: cleaned up libsmi base types to be less language
	dependant.

	* lib/smi.h: add API function smiGetNodeByOID() to retrieve
	an SmiNode based on an OID given by an integer array.

	* lib/smi.c: smiGetNode() now returns the node with the longest
	common OID prefix, if its argument is given by OID.
	
1999-06-15  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.h: added SmiLanguage and an appropriate element to the
	SmiModule struct to represent the language that has been used to
	read a MIB module.

1999-06-14  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.h: Hiding knowledge on the underlying language from
	the API: SmiNode contains a new element `nodekind' that represents
	the kind of any node in the tree independant from the actual
	language statement. Hence, most application no longer need to
	use SmiDecl. smiquery and smidump are adapted accordingly.

1999-06-11  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c: implemented smiGetFirstChild() and smiGetNextChild().

	* lib/smi.h: OIDs are now represented by a more efficient array
	of integers instead of a string.

1999-06-10  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* test/parser.test.in: started to write a set of MIB modules
	to test the capabilities of MIB parsers to detect syntax and
	semantic errors.

	* tools/dump-smi.c: fixed bug when dumping modules without
	any compliance statement.

	* libsmi-0.1.4.tar.gz: released version 0.1.4.

	* lib/error.h: undef'ed yyerror to suppress compile warning.

	* tools/dump-sming.c (printObjects): fixed bug with missing
	nodes read from OBJECT-IDENTITY constructs.

	* lib/parser-sming.y: fixed bug in name creation of pseudo types
	in compliance statements.

1999-06-09  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/parser-smi.y: fixed bug in name creation of pseudo types
	in compliance statements.

	* lib/data.c: added `.smiv2' extension to look for SMIv2 files.

	* tools/dump-smi.c: the dump format `smiv2' is back!
	
	* lib/parser-smi.y: fixed bug with wrong module references
	in compliance statements.

1999-06-08  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.1.3.tar.gz: released version 0.1.3.

	* lib/parser-sming.y: fixed various SMIng related bugs.

	* tools/dump-sming.c: fixed bug when printing OIDs with more
	than one trailing sub-identifiers that cannot be resolved to
	identifers.
	
	* tools/dump-sming.c (printGroups): no longer sorting group
	statements separately based on underlying OG/NG types, but
	continuously based on OID.

	* lib/smi.c (smiGetNode): fixed bug, when retrieving node by
	OID.

1999-06-07  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.c: added path expansion semantics if SMIPATH
	environment variable starts or ends with a colon.
	
	* test/Makefile.am: started some test routines.

	* lib/parser-sming.y: SMIng `create' statement bugfix.

	* configure.in: added checks for flex and bison.
	
	* tools/dump-mosy.c: Juergen Schoenwaelder contributed a
	dump module to generate MOSY conformant output and patches
	to clean up the management of dump formats.

	* tools/dump-sming.c: bug fix on SMIng subtype syntax.

1999-06-05  Frank Strauss  <strauss@escape.de>

	* lib/smi.c: minor fixes.

1999-06-04  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* tools/dump-imports.c: added `imports' format do smidump to
	display the import hirarchy of a module.

	* lib/parser-smi.y: bugfix: allow status `deprecated' in SMIv1
	modules.

	* tools/smiquery.c: adapted index command.

	* lib/smi.h: had to add struct SmiIndex and smiGetFirstIndex()
	and smiGetNextIndex(), since otherwise we have no chance to
	distinguish objects that apear more than once in a single
	index clause, like in RMON2-MIB::alHostEntry.

	* mibs/RFC1271-MIB: MIB file added.
	
	* tools/dump-sming.c: some bugfixes.

	* lib/parser-sming.y: bugfix for adjustments of forward references
	in index structs.

1999-06-03  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.1.2.tar.gz: released version 0.1.2.
	
	* lib/smi.c: added smiGetPath() and smiSetPath() functions.
	
	* lib/smi.c (smiLoadModule): fixed bug when module is
	specified by pathname.

	* lib/defs.h: obsoleted and removed defs.h completely.

	* lib/defs.h (MAX_LINEBUF_LENGTH): eliminated restriction of
	maximum the length of MIB module lines.

1999-06-02  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* libsmi-0.1.1.tar.gz: released version 0.1.1.
	
	* configure.in: added default smipath support. bugfix for
	missing SMIPATH environment variable.

	* libsmi-0.1.tar.gz: released version 0.1.
	
1999-06-01  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/*.3.in, tools/*.1.in: updated manual pages.

	* README: updated installation information and added a hint
	on online information.

1999-05-31  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* COPYING et al: applied the license that scotty uses to
	all files.

1999-05-28  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/Makefile.am: added automake and libtool support

1999-05-27  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* lib/smi.h: added SmiOption and SmiRefinement functions.

1999-05-25  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* README et al: applied GNU General Public License (NOT L-GPL).

	* tools/smiquery.c: adapted to current API.

	* lib/smi.h: added IndexNode and MemberNode functions.

1999-05-22  Frank Strauss  <strauss@ibr.cs.tu-bs.de>

	* configure.in: LIBSMI_VERSION=0.1

	* Makefile: now building shared library. This heavily depends
	on the platform and bin-utils. Just tested for Solaris 2.5.1
	and Linux with GNU gcc and bin-utils.
	
	* configure.in: started GNU configure support.

	* ChangeLog: started ChangeLog.
